<?php
require_once 'core/system.php';
echo only_reg();
require_once 'core/head.php';
/* Настройки */
$whitelist = array('.jpg', '.jpeg', '.gif', '.png'); # Допустимые расширения


$maxsize = 1; # В мегабайтах 
$dir = 'uploads'; // Папка, в которую будут загружаться файлы


if (!empty($_POST['send'])) { # Если нажата кнопка, то пытается загрузить файл.
    $name = $_FILES['file']['name']; # Название файла
    $ext = strtolower(strrchr($name, '.')); # Расширение файла    
    $size = $_FILES['file']['size']; # Вес файла
    
    if ($size > (1048576 * $maxsize)) {
        $err .= 'Размер смайла превышает допустимое значение. [Max. '.$maxsize.'mb.]<br />';
    }  
            
    if (preg_match('/.php/i', $name) || preg_match('/.pl/i', $name) || $name == '.htaccess' || !in_array($ext, $whitelist)) {
        $err .= 'Не верное расширение файла.<br />';
    } 
            
    copy($_FILES['file']['tmp_name'], $dir . '/' . md5(time()) . $ext); # Копируем файл в папку
}
echo '<form action="#" enctype="multipart/form-data" method="POST">';
echo '<b>Загрузка файла:</b> [max. '.$maxsize.'mb]<br /><input type="file" name="file" class="button_xl" /><br />';
echo '<input type="submit" name="send" value="Загрузить"/>';
echo '</form>';
require_once 'core/foot.php';
?>
